#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, a, b, b1;
    cin >> n >> a;
    cin >> b;
    if(b==a)
    {
        cin >> b;
        n--;
    }
    for(int i = 2; i < n; i++)
    {
        cin >> b1;
        if(b1==a)
        {
            cin >> b;
            n--;
        }
    }
        cout << b;
}